Download it now!
Bug 117862 - crash on save user profile
Summary: crash on save user profile
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: x86-64 (AMD64) All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-05-28 19:36 UTC by bunkem
Modified: 2018-06-01 22:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Advanced screen showing button (255.62 KB, image/png)
2018-05-28 19:37 UTC, bunkem
Details
The error notice at time of crash (68.47 KB, image/png)
2018-05-28 19:38 UTC, bunkem
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bunkem 2018-05-28 19:36:48 UTC
Description:
When you attempt to save a user profile in safemode, LO crashes.

Steps to Reproduce:
1.Restart LO in safemode
2.In dialog box, select Advanced
3.Press the button to save the user profile

Actual Results:  
LO crashes.

Expected Results:
A saved or backed up profile


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.1.0.0.alpha1+
Build ID: 8d42de21c10bfefeaffabc5c939e7830a09f7dca
CPU threads: 8; OS: Mac OS X 10.11.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-05-24_03:38:39
Locale: en-CA (en.UTF-8


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 bunkem 2018-05-28 19:37:28 UTC
Created attachment 142356 [details]
Advanced screen showing button
Comment 2 bunkem 2018-05-28 19:38:19 UTC
Created attachment 142357 [details]
The error notice at time of crash
Comment 3 Alex Thurgood 2018-05-29 08:31:22 UTC
Testing with 

Version: 6.2.0.0.alpha0+
Build ID: 7f3c2ee6c135773c98ded063bdf10ec8900bf00f
CPU threads: 4; OS: Mac OS X 10.13.4; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group threaded

No repro

If I click on the Advanced arrow and choose "Create ZIP Archive from User Profile", I only get an error message that the zip file could not be created, however I don't get a crash and am simply returned to the Safe Mode dialog where I can choose the other options available.
Comment 4 Xisco Faulí 2018-05-29 16:13:38 UTC
Reproduced in

Versió: 6.2.0.0.alpha0+
ID de la construcció: 8f9f66e8d2bae94c1f469ffc51bdbffeba853a2b
Fils de CPU: 4; SO: Linux 4.13; Renderitzador de la IU: per defecte; VCL: gtk3; 
Configuració local: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 5 Xisco Faulí 2018-05-29 16:20:38 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2018-05-14 12:33:52 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-05-14 16:05:35 +0200
commit	209f95d9148969f578196a76e0981cf6161f11dc (patch)
tree	8e68e86a4af5914939f329202901f348e0bdd8a3
parent	2bd48ad3bc29b008d756612307d3e72021bc3cbf (diff)
weld ProfileExportedDialog

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 6 Commit Notification 2018-05-29 20:01:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc24a62c59121df2b70b25118b562661c24c2841

tdf#117862 crash in profile export dialog

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2018-05-29 20:02:47 UTC
6-1 to follow in a bit
Comment 8 Commit Notification 2018-05-30 08:17:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23fc0ee3a02347e1a8641e81fd3246a5cb11f94c&h=libreoffice-6-1

tdf#117862 crash in profile export dialog

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-05-31 10:31:25 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: 2a0d8106a558845357d39648656e08ec6f091cf8
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Caolán, Thanks for fixing this!!
Comment 10 bunkem 2018-06-01 22:11:51 UTC
I can verify that this is fixed now in:
Version: 6.2.0.0.alpha0+
Build ID: 29dbb864097cc3136b036fbeb0bfa7d24b1147d7
CPU threads: 8; OS: Mac OS X 10.11.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-06-01_18:24:05
Locale: en-CA (en.UTF-8)

Thanks!